@import "./colors";

@import "~bootstrap/scss/bootstrap.scss";

.navbar {
  background-color: #202020;
  background-image: linear-gradient(#3b3b3b, #202020);
  color: #dbdbdb;
}

.navbar div div div {
  color: #dbdbdb;
  text-decoration: none;
  padding: 0px 15px;
  font-weight: bolder;
}
.navbar .logo {
  height: 40px;
  margin: 0px 30px;
}

.footer {
  padding: 1rem;
  background-color: #202020;
  background-image: linear-gradient(#3b3b3b, #202020);
  font-size: 0.875rem;
  color: #dbdbdb;
}

.app-overlay {
  display: block;
  max-width: 1024px;
  width: 100%;
  background: url("../assets/img/content_bg.png") left top / 100% 1px
    transparent;
  margin: 0px auto;
  overflow: hidden;
}

.app-content {
  box-sizing: border-box;
  clear: both;
  display: block;
  max-width: 1280px;
  position: relative;
  background: url("../assets/img/container_bg.png") rgb(255, 255, 255);
  margin: 0px auto;
  overflow: hidden;
}

.text-align-center {
  text-align: center;
}

.text-align-right {
  text-align: right;
}

.margin-bot-25 {
  margin-bottom: 25px;
}

.margin-top-25 {
  margin-top: 25px;
}

.margin-top-50 {
  margin-top: 50px;
}

.pokemon-card {
  min-width: 150px;
  margin-bottom: 25px;
  transition: transform 0.2s;
  cursor: pointer;
}

.pokemon-card:hover {
  transform: translateY(-13px);
}

.card-img-top {
  background-color: #42424225;
  border-radius: 4px;
}

.max-width-800 {
  max-width: 800px;
}

.min-width-100 {
  min-width: 150px;
}

.pokemon-description {
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande";
  font-size: 1.1rem;
}

.pokemon-info-container {
  background-color: #30a7d7;
  border-radius: 25px;
  color: #fff;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
  font-size: normal;
}

.pokemon-info-container p {
  color: #202020;
  font-family: "Courier New", Courier, monospace;
  font-weight: 525;
  margin-left: 8px;
  font-size: 1rem;
}

.pokemon-type-label {
  display: inline-block;
  width: 115px;
  padding: 10px 5px;
  margin-bottom: 4px;
  background: #dbdbdb;
  border: 1px solid #a3a3a3;
  border-radius: 4px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  color: #fff;
  font-size: 0.75rem;
  font-weight: bold;
  line-height: 1.5rem;
  text-align: center;
  text-transform: uppercase;
  transition: opacity 0.4s;
  margin: 5px 5px;
}
.type-normal {
  background-color: #aa9;
}
.type-fire {
  background-color: #f42;
}
.type-water {
  background-color: #39f;
}
.type-electric {
  background-color: #fc3;
}
.type-grass {
  background-color: #7c5;
}
.type-ice {
  background-color: #6cf;
}
.type-fighting {
  background-color: #b54;
}
.type-poison {
  background-color: #a59;
}
.type-ground {
  background-color: #db5;
}
.type-flying {
  background: linear-gradient(180deg, #3dc7ef 50%, #bdb9b8 50%);
  background-color: #3dc7ef;
}
.type-psychic {
  background-color: #f59;
}
.type-bug {
  background-color: #ab2;
}
.type-rock {
  background-color: #ba6;
}
.type-ghost {
  background-color: #66b;
}
.type-dragon {
  background: linear-gradient(180deg, #53a4cf 50%, #f16e57 50%);
  background-color: #53a4cf;
}
.type-dark {
  background-color: #754;
}
.type-steel {
  background-color: #aab;
}
.type-fairy {
  background-color: #e9e;
}

.pokedex-pokemon-pagination-title div {
  font-family: "Flexo-Medium", arial, sans-serif;
  color: #212121;
  font-size: 225%;
  text-align: center;
}

.pokedex-pokemon-pagination-title div span.pokemon-number {
  color: #616161;
}

.pokedex-pokemon-pagination span.pokemon-number,
.pokedex-pokemon-pagination span.pokemon-name {
  font-family: "Flexo-Bold", arial, sans-serif;
  color: #000000;
  font-size: 150%;
  line-height: 162.5%;
  text-transform: none;
}

.pokedex-pokemon-pagination span.pokemon-name {
  color: #616161;
  margin: 0 0.5em;
}

.pokedex-pokemon-pagination span.arrow {
  color: #30a7d7;
  font-weight: bold;
  font-size: 200%;
  margin: 15px 0px;
}

.pokedex-pokemon-pagination {
  cursor: pointer;
  padding: 0px 25px;
}

.pokedex-pokemon-pagination-wrapper {
  padding: 15px 25px;
}

.pointer {
  cursor: pointer;
}

.pokedex-pokemon-stats {
  margin: 5px 5px;
  width: 100%;
  height: 90%;

  display: inline-block;
  background: #dbdbdb;
  border: 1px solid #a3a3a3;
  border-radius: 9px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  color: #222222;
  font-size: 1.25rem;
  font-weight: bold;
  text-align: center;
}

.pokedex-pokemon-stats .card-body {
  padding: 1rem;
}

.p-0-5-5-5 {
  padding: 0rem 5rem 5rem 5rem;
}

.p-0-5-1-5 {
  padding: 0rem 5rem 1rem 5rem;
}

.p-1-5-0-5 {
  padding: 1rem 5rem 0rem 5rem;
}

.color-hp {
  background-color: #77cc5595;
}
.color-attack {
  background-color: #ff442295;
}
.color-defense {
  background-color: #ddbb5595;
}
.color-special-attack {
  background-color: #ff559995;
}
.color-special-defense {
  background-color: #ffcc3395;
}
.color-speed {
  background-color: #3399ff95;
}

@media (max-width: 721px) {
  .hidden-mobile {
    display: none !important;
  }
  .page-link {
    padding: 0.4rem 0.5rem;
  }
}
